%define version 21.4.14
%define rversion 21.4.14
%define mversion 21.4
%define sumodate 2003-11-13

Summary: An X Window System based version of GNU Emacs.
Name: xemacs
Version: %{version}
Release: 2mdk
License: GPL
Group: Editors

Source0: ftp://ftp.xemacs.org/pub/xemacs/xemacs-%{mversion}/xemacs-%{rversion}.tar.bz2
Source1: ftp://ftp.xemacs.org/pub/xemacs/packages/xemacs-mule-sumo-%{sumodate}.tar.bz2
Source2: ftp://ftp.xemacs.org/pub/xemacs/packages/xemacs-sumo-%{sumodate}.tar.bz2
Source5: site-start-mdk.el
Source6: xemacs-16.xpm
Source7: xemacs-32.xpm
Source8: xemacs-48.xpm
Source9: ps-print-1.07-pkg.tar.bz2
Patch1: xemacs-21.4.10-alt_is_meta.patch.bz2
Patch2: xemacs-21.6-non-x86-build.patch.bz2
Patch3: xemacs-21.4.6-iso-8859-15.patch.bz2
Patch4: xemacs-21.4.6-dialog-find.patch.bz2
Patch5: xemacs-21.4.9-fix-emacs-roots.patch.bz2
Patch10: xemacs-21.4.12-rpm-spec-mode.patch.bz2
Provides: xemacs-noX xemacs-static xemacs-X11
Obsoletes: xemacs-noX xemacs-static xemacs-X11
Url: http://www.xemacs.org/
Buildroot: %{_tmppath}/xemacs-root
Requires: ctags
BuildRequires:	Xaw3d-devel
BuildRequires:	XFree86
BuildRequires:	XFree86-static-libs
BuildRequires:	autoconf
BuildRequires:	bison
BuildRequires:	db4-devel
BuildRequires:	faces-devel
BuildRequires:	gcc
BuildRequires:	gnome-libs-devel
BuildRequires:	lesstif-devel
BuildRequires:	ncurses-devel
BuildRequires:	libxml-devel
BuildRequires:	smtpdaemon
BuildRequires:	xpm-devel
%ifarch alpha
BuildConflicts: compat-Tru64
%endif

%description
XEmacs (and regular GNU Emacs, too) is a self-documenting, customizable,
extensible, real-time display editor. XEmacs is self-documenting because at any
time you can type in control-h to find out what your options are or to find out
what a command does. XEmacs is customizable because you can change the
definitions of XEmacs commands to anything you want. XEmacs is extensible
because you can write entirely new commands--programs in the Lisp language to
be run by Emacs' own Lisp interpreter. XEmacs includes a real-time display,
which means that the text being edited is visible on the screen and is updated
very frequently (usually after every character or pair of characters) as you
type.

To use XEmacs, you'll need to install the XEmacs binary. The xemacs package
includes the standard XEmacs binary that most people will use. The XEmacs
binary is dynamically linked, with both X11 and TTY (ncurses) support, but
without mule (MUlti-Lingual Emacs, the Asian character set) support.

%package devel
Summary: Header files for Xemacs
Group: Development/C
Requires: xemacs = %{version}
%description devel
Contains all the header files needed for xemacs development.

# 20020212 warly <warly@mandrakesoft.com> gtk is too instable, and mule is set as default
#

#
# 20020303 warly mule package reintegrated, it breaks my gnus if compiled in
%package mule
Summary: The XEmacs binary with mule (MUlti-Lingual Emacs) support.
Group: Editors
Requires: xemacs = %{version}
%description mule
Xemacs-mule includes an XEmacs binary with support for
MUlti-Lingual Emacs and the Asian character set. Install xemacs-mule
(instead of xemacs) if you need to use Asian characters. Xemacs-mule is
compiled with X11 support only, so you won't be able to use it in a TTY
(ncurses) mode.

# %package gtk
# Summary: The XEmacs binary with GTK widgets.
# Group: Editors
# Requires: xemacs = %{version}
# %description gtk
# XEmacs (and regular GNU Emacs, too) is a self-documenting, customizable,
# extensible, real-time display editor. XEmacs is self-documenting because at any
# time you can type in control-h to find out what your options are or to find out
# what a command does. XEmacs is customizable because you can change the
# definitions of XEmacs commands to anything you want. XEmacs is extensible
# because you can write entirely new commands--programs in the Lisp language to
# be run by Emacs' own Lisp interpreter. XEmacs includes a real-time display,
# which means that the text being edited is visible on the screen and is updated
# very frequently (usually after every character or pair of characters) as you
# type. This version used the GTK widgets

# %package gtk-gnome
# Summary: The XEmacs binary with GTK widgets.
# Group: Editors
# Requires: xemacs = %{version}
# %description gtk-gnome
# XEmacs (and regular GNU Emacs, too) is a self-documenting, customizable,
# extensible, real-time display editor. XEmacs is self-documenting because at any
# time you can type in control-h to find out what your options are or to find out
# what a command does. XEmacs is customizable because you can change the
# definitions of XEmacs commands to anything you want. XEmacs is extensible
# because you can write entirely new commands--programs in the Lisp language to
# be run by Emacs' own Lisp interpreter. XEmacs includes a real-time display,
# which means that the text being edited is visible on the screen and is updated
# very frequently (usually after every character or pair of characters) as you
# type. This version used the GTK widgets and the gnome interface.

%package el
Summary: The .el source files for XEmacs.
Group: Editors
Requires: xemacs = %{version}
%description el
Xemacs-el is not necessary to run XEmacs.  You'll only need to install
it if you're planning on incorporating some Lisp programming into your
XEmacs experience.

%package info
Summary: Information files for XEmacs.
Group: Editors
Requires: xemacs = %{version}
%description info
Install this package if you want the information files that are
distributed with the XEmacs text editor.

%package extras
Summary: Files that XEmacs has in common with GNU Emacs.
Group: Editors
Requires: xemacs = %{version}
Provides: ctags
Conflicts: emacs

%description extras
Xemacs-extras includes files which are used by both GNU Emacs
and XEmacs. If you don't have GNU Emacs installed, be sure to also
install this package when you install the XEmacs text editor.

%prep
%setup -q

#%patch1 -p1 -b .meta
%ifnarch %{ix86}
%patch2 -p1
%endif

#%patch3 -p0

#%patch4 -p1 -b .warly
%patch5 -p1 -b .warly

%build

# done now not for xemacs to search packages file in future install root
rm -rf $RPM_BUILD_ROOT

autoconf-2.13

rm -rf lisp/*.elc

rm -rf building && mkdir -p building && cd building

# standard: X11 and console support. No mule, though.
VAR_CONF="--prefix=/usr --exec-prefix=/usr --package-path=/%{_datadir}/xemacs/ --datadir=/%{_datadir} --mandir=/%{_mandir}/man0 --infodir=/%{_infodir} --libdir=/%{_libdir} --bindir=/%{_bindir} --infopath=/%{_infodir}"
XEMACS_CONFIG="$RPM_ARCH-mandrake-linux $VAR_CONF \
	--with-gpm=no \
	--with-sound=none \
	--with-pop \
	--mail-locking=flock \
	--with-clash-detection \
	--with-scrollbars=lucid \
	--with-menubars=lucid \
	--with-xpm \
	--with-xface \
	--with-png \
	--with-jpeg \
	--with-tiff \
	--dynamic=yes \
	--with-ncurses \
	--without-ldap \
	--without-postgresql \
        --with-gpm=no \
	--with-clash-detection \
 	--debug=no \
	--error-checking=none \
  	--prefix=/usr \
 	--exec-prefix=/usr \
	--with-x11 \
 	--with-tty=yes \
	--with-dialogs=athena \
	--with-widgets=athena \
	--with-athena=3d \
	--with-file-coding "
#	--with-meta-same-as-alt "
CFLAGS="$RPM_OPT_FLAGS"
export CFLAGS

# xemacs think // means ignore everything befor
RPM_BUILD_DIR=`echo $RPM_BUILD_DIR | sed "s,/\+,/,g"`
RPM_BUILD_ROOT=`echo $RPM_BUILD_ROOT | sed "s,/\+,/,g"`
# FIXME local compilation with local path to compile file if xemacs is not installed on the compilation machine

{
rm -rf $RPM_ARCH-linux-local
mkdir $RPM_ARCH-linux-local
cd $RPM_ARCH-linux-local
../../configure $XEMACS_CONFIG --datadir=${RPM_BUILD_ROOT}%{_datadir} --package-path=${RPM_BUILD_ROOT}%{_datadir}/xemacs:${RPM_BUILD_DIR}/xemacs-%{version}/lisp
cd ..
}

{
rm -rf $RPM_ARCH-linux
mkdir $RPM_ARCH-linux
cd $RPM_ARCH-linux
../../configure $XEMACS_CONFIG
cd ..
}

# 20020212 warly

# {
# rm -rf $RPM_ARCH-linux
# mkdir $RPM_ARCH-linux
# cd $RPM_ARCH-linux
# ../../configure $XEMACS_CONFIG --with-mule=no
# cd ..
# }

# {
# rm -rf $RPM_ARCH-linux-gtk
# mkdir $RPM_ARCH-linux-gtk
# cd $RPM_ARCH-linux-gtk
# ../../configure $XEMACS_CONFIG --with-mule=no \
# 		--with-gtk
# cd ..
# }

# {
# rm -rf $RPM_ARCH-linux-gtk-gnome
# mkdir $RPM_ARCH-linux-gtk-gnome
# cd $RPM_ARCH-linux-gtk-gnome
# ../../configure $XEMACS_CONFIG --with-mule=no \
# 		--with-gtk \
# 		--with-gnome
# cd ..
# }

{
rm -rf $RPM_ARCH-linux-mule
mkdir $RPM_ARCH-linux-mule
cd $RPM_ARCH-linux-mule
../../configure $XEMACS_CONFIG --with-mule=yes \
		--with-xim=xlib
cd ..
}

{
   pushd $RPM_ARCH-linux-local
   make
   popd
   pushd $RPM_ARCH-linux 
   make 
   popd	
#  pushd $RPM_ARCH-linux-gtk && make && popd
#  pushd $RPM_ARCH-linux-gtk-gnome && make && popd
   pushd $RPM_ARCH-linux-mule
   make
   popd
}
	
%install

# done again for short-circuit
rm -rf $RPM_BUILD_ROOT

pushd building/$RPM_ARCH-linux
%makeinstall mandir=$RPM_BUILD_ROOT/%{_mandir}/man1  lockdir=$RPM_BUILD_ROOT/var/lock/xemacs
popd

install -m 755 building/$RPM_ARCH-linux-mule/src/xemacs $RPM_BUILD_ROOT%{_bindir}/xemacs-mule
install -m 644 building/$RPM_ARCH-linux-mule/src/xemacs.dmp $RPM_BUILD_ROOT%{_bindir}/xemacs-mule.dmp
#install -m 755 building/$RPM_ARCH-linux-gtk/src/xemacs $RPM_BUILD_ROOT%{_bindir}/xemacs-gtk
#install -m 755 building/$RPM_ARCH-linux-gtk-gnome/src/xemacs $RPM_BUILD_ROOT%{_bindir}/xemacs-gtk-gnome
bzcat %{SOURCE1} | tar -xf - -C $RPM_BUILD_ROOT/%{_datadir}/xemacs
bzcat %{SOURCE2} | tar -xf - -C $RPM_BUILD_ROOT/%{_datadir}/xemacs
bzcat %{SOURCE9} | tar -xf - -C $RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-packages

rm -f $RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-packages/lisp/hyperbole/file-newer

# this remove the usage of the AUTH command that breaks with most of the packages servers
perl -pi -e "s/\(defcustom efs-ftp-program-args '\(\"-i\" \"-n\" \"-g\" \"-v\"\)/(defcustom efs-ftp-program-args '(\"-i\" \"-n\" \"-g\" \"-v\" \"-u\")/" $RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-packages/lisp/efs/efs.el
$RPM_BUILD_DIR/xemacs-%{version}/building/$RPM_ARCH-linux-local/src/xemacs -batch -q -no-site-file -eval "(byte-compile-file \"$RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-packages/lisp/efs/efs.el\")"

# warly applied in sumo 2001 07 09
# pushd $RPM_BUILD_ROOT/%{_libdir}/xemacs/xemacs-packages && bzcat %{PATCH0} | patch -p1 && pushd $RPM_BUILD_ROOT/%{_libdir}/xemacs/xemacs-packages/lisp/mailcrypt/ && $RPM_BUILD_ROOT%{_bindir}/xemacs -batch -q -no-site-file -eval '(byte-compile-file "mc-gpg.el")' && popd && popd

# FIXME need to patch the rpm-spec-mode for short-circuit
pushd $RPM_BUILD_ROOT
bzcat %{PATCH10} | patch -p1
$RPM_BUILD_DIR/xemacs-%{version}/building/$RPM_ARCH-linux-local/src/xemacs -batch -q -no-site-file -eval "(byte-compile-file \"$RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-packages/lisp/prog-modes/rpm-spec-mode.el\")"
rm $RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-packages/lisp/prog-modes/rpm-spec-mode.el.orig
popd

export specialel="_pkg.el hyperspec-carney.el ilisp-bug.el ilisp-cl-easy-menu.el mew-mule0.el mew-mule1.el mew-mule2.el mew-mule3.el eieio-tests.el hui-epV4-b.el" 
for i in `find $RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-packages/lisp/ $RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-%{version}/lisp/ -name "*.el" -or -name "*.elc" | perl -e 'while (<>) { /(.*\.el)$/ and push @doneel,$1; /(.*\.el)c$/ and $doneelc{$1} = 1 } foreach (split " ",$ENV{specialel}) { $doneelc{"$_"} = 1}; foreach (@doneel) { if (!$doneelc{"$_"} && (/([^\/]+)$/ and !$doneelc{$1})) { print "$_\n"}}'`;do pushd `echo $i | sed "s/\/[^\/]\+$//"` && $RPM_BUILD_DIR/xemacs-%{version}/building/$RPM_ARCH-linux-local/src/xemacs -batch -q -no-site-file -eval "(byte-compile-file \"$i\")";popd;done

mkdir -p $RPM_BUILD_ROOT/%{_infodir}/xemacs/mule
mv $RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-packages/info/* $RPM_BUILD_ROOT/%{_infodir}/xemacs/
rmdir $RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-packages/info/
mv $RPM_BUILD_ROOT/%{_datadir}/xemacs/mule-packages/info/* $RPM_BUILD_ROOT/%{_infodir}/xemacs/mule/
rmdir $RPM_BUILD_ROOT/%{_datadir}/xemacs/mule-packages/info/

find $RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-packages -name \*.pl -exec \
    perl -pi -e "s|/usr/local/bin/perl5|%{_bindir}/perl|g; \
                     s|/usr/local/bin/perl|%{_bindir}/perl|g;" {} \;

mkdir -p $RPM_BUILD_ROOT/etc/emacs/
install -m644 %{SOURCE5} $RPM_BUILD_ROOT/etc/emacs/site-start-xemacs.el
pushd $RPM_BUILD_ROOT/%{_datadir}/xemacs-%{version}/lisp/ && \
ln -s ../../../../etc/emacs/site-start-xemacs.el site-start.el && popd

mkdir $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d

mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}

mkdir -p $RPM_BUILD_ROOT/%{_libdir}/menu/
cat << "EOF" > $RPM_BUILD_ROOT/%{_libdir}/menu/xemacs
?package(xemacs):\
  needs=X11\
  section=Applications/Editors\
  title="XEmacs"\
  longtitle="The XEmacs editor"\
  command="%{_bindir}/xemacs"\
  icon="xemacs.xpm"
EOF

for i in termcap.info-1 termcap.info-2 termcap.info-3 termcap.info info.info standards.info		 
do
  rm -f $RPM_BUILD_ROOT/%{_datadir}/info/$i
done

#mkdir $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d

# Build file listings. (and make movemail setgid mail on RHL)
DIR="$RPM_BUILD_ROOT/%{_datadir}/xemacs-%{version}"
PACKAGES=$RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-packages
LIBDIR="$RPM_BUILD_ROOT/%{_libdir}/xemacs-%{version}"
MULEDIR=$RPM_BUILD_ROOT/%{_datadir}/xemacs/mule-packages
INFO="*.info*"
EL="*.el"
DEVEL="-name *.h -o -name *.c -o -name Makefile"
NDEVEL="-not -name *.h -not -name *.c -not -name Makefile"
for i in $specialel version.el paths.el update-elc-2.el check-features.el
do
	NSPECIALEL="$NSPECIALEL -not -name $i"
	ANSPECIALEL="$ANSPECIALEL -and -not -name $i"
	SPECIALEL="$SPECIALEL -o -name $i"
done

chmod 644 $RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-packages/lisp/edit-utils/info-look.el $RPM_BUILD_ROOT/%{_datadir}/xemacs/xemacs-packages/lisp/gnus/nnmail.el

find $DIR $LIBDIR $PACKAGES -type d -not -name "include" |
  sed -e "s#^$RPM_BUILD_ROOT#%dir #g" > rpm-files

find $DIR $PACKAGES $LIBDIR $DEVEL -type f |
  sed -e "s#^$RPM_BUILD_ROOT##g" > rpm-devel-files

find $DIR $PACKAGES $LIBDIR -name $EL -not -name "site-start.el" $ANSPECIALEL -type f |
  sed -e "s#^$RPM_BUILD_ROOT##g" > rpm-el-files

find $DIR $PACKAGES $LIBDIR -not -name $INFO $NDEVEL -not -name $EL -type f |
  sed -e "
    s#^$RPM_BUILD_ROOT\(.*movemail\)#%attr(2755, root, mail) \1#g
    s#^$RPM_BUILD_ROOT##g
  " >> rpm-files

find $DIR $PACKAGES $LIBDIR -name "site-start.el" $SPECIALEL -type f |
  sed -e "
    s#^$RPM_BUILD_ROOT\(.*movemail\)#%attr(2755, root, mail) \1#g
    s#^$RPM_BUILD_ROOT##g
  " >> rpm-files

find $MULEDIR -type d -not -name "include" |
  sed -e "s#^$RPM_BUILD_ROOT#%dir #g" > rpm-mule-files

find $MULEDIR $NDEVEL -type f |
#  sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g" >> rpm-files
 sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g" >> rpm-mule-files

install -d %buildroot/%_liconsdir/
install -d %buildroot/%_miconsdir/
install -m 644 %SOURCE6 %buildroot/%_miconsdir/xemacs.xpm
install -m 644 %SOURCE7 %buildroot/%_iconsdir/xemacs.xpm
install -m 644 %SOURCE8 %buildroot/%_liconsdir/xemacs.xpm

%post 
%{update_menus}													
#
# euro only works in development version
#grep "Emacs\*font" || cat >> /usr/X11R6/lib/X11/app-defaults/Emacs << EOF
#xemacs*font: -*-Fixed-Medium-R-*-*-*-130-*-*-*-*-iso8859-1
#EOF
cat %{_datadir}/xemacs-%{version}/etc/Emacs.ad >> /%{_sysconfdir}/X11/app-defaults/Emacs

%postun
%{clean_menus}

%post info
for f in %{_infodir}/xemacs/*.info.bz2; do
  /sbin/install-info $f %{_infodir}/dir --section="XEmacs"
done

for f in %{_infodir}/xemacs/mule/*.info.bz2; do
   /sbin/install-info $f %{_infodir}/dir --section="XEmacs-mule"
done

%preun info
if [ "$1" = 0 ]; then
for f in %{_infodir}/xemacs/*.info.bz2; do
  /sbin/install-info --delete $f %{_infodir}/dir \
    --section="XEmacs"
done
fi

if [ "$1" = 0 ]; then
for f in %{_infodir}/xemacs/*.info.bz2; do
  /sbin/install-info --delete $f %{_infodir}/dir \
    --section="XEmacs-mule"
done
fi

%files -f rpm-files
%defattr(-,root, root)
%doc BUGS ChangeLog README README.packages PROBLEMS
%config(noreplace) /etc/emacs/site-start-xemacs.el
%dir %{_sysconfdir}/emacs/site-start.d
# /usr/share/icons/mini/*.xpm
#%{_miconsdir}/*.xpm
%{_libdir}/menu/xemacs
%{_bindir}/xemacs
%{_bindir}/xemacs-%{version}*
%{_bindir}/gnuclient
%{_bindir}/gnuattach
%{_bindir}/ellcc
%{_bindir}/gnudoit
%{_mandir}/man1/xemacs.1*
%{_mandir}/man1/gnuserv.1*
%{_mandir}/man1/gnuclient.1*
%{_mandir}/man1/gnuattach.1*
%{_mandir}/man1/gnudoit.1*
%_iconsdir/*.xpm
%_miconsdir/*.xpm
%_liconsdir/*.xpm

%files devel -f rpm-devel-files
%defattr(-,root, root)
%{_datadir}/xemacs/mule-packages/etc/latin-unity/Makefile
%{_datadir}/xemacs/mule-packages/etc/mule-ucs/Makefile
%doc README

# %files gtk 
# %defattr(-,root, root)
# %{_bindir}/xemacs-gtk
# %doc README

# %files gtk-gnome 
# %defattr(-,root, root)
# %doc README
# %{_bindir}/xemacs-gtk-gnome

%files mule -f rpm-mule-files
%defattr(-,root, root)
%doc README
%{_bindir}/xemacs-mule*

%files el -f rpm-el-files
%defattr(-,root, root)
%doc README

%files info
%defattr(-,root, root)
%doc README
%{_infodir}/*

%files extras
%defattr(-,root, root)
%doc README
%{_bindir}/b2m
%{_bindir}/etags
%{_bindir}/ctags
%{_bindir}/ootags
%{_bindir}/rcs-checkin
%{_mandir}/man1/etags.1*
%{_mandir}/man1/ctags.1*

%clean
#rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jan 26 2004 Warly <warly@mandrakesoft.com> 21.4.14-2mdk
- new sumo version (2003-11-13)

* Wed Sep 10 2003 Warly <warly@mandrakesoft.com> 21.4.14-1mdk
- new version
- new sumo
- add conflict on emacs in xemacs-extra

* Fri Aug 22 2003 Warly <warly@mandrakesoft.com> 21.4.13-2mdk
- new sumo
- rebuild against libdb4.1

* Thu Jun  5 2003 Warly <warly@mandrakesoft.com> 21.4.13-1mdk
- new version

* Thu Apr  3 2003 Warly <warly@mandrakesoft.com> 21.4.12-2mdk
- fix rpm-spec-mode patch

* Thu Feb 13 2003 Warly <warly@mandrakesoft.com> 21.4.12-1mdk
- new version

* Fri Jan 24 2003 Warly <warly@mandrakesoft.com> 21.4.11-2mdk
- remove meta-as-alt

* Tue Jan  7 2003  Warly <warly@hp6.mandrakesoft.com> 21.4.11-1mdk
- new version
- new sumo 2002-12-30 
- enable short-circuit for ba and co in rpm-spec-mode

* Thu Nov 14 2002 Warly <warly@mandrakesoft.com> 21.4.10-1mdk
- new version

* Sat Sep 14 2002 Warly <warly@mandrakesoft.com> 21.4.9-5mdk
- try to fix find-dialog box
- fix path definition that makes main auto-autoloads.el loaded
several times.

* Fri Sep 13 2002 Warly <warly@mandrakesoft.com> 21.4.9-4mdk
- make -u default options for efs-ftp

* Thu Sep 12 2002 Warly <warly@mandrakesoft.com> 21.4.9-3mdk
- include temporary ps-print to fix the lack of ps-print*.ps in last xemacs-sumo
- fix various bad interacation between xemacs-el xemacs and xemacs-mule
- make find window larger

* Sat Sep  7 2002 Warly <warly@mandrakesoft.com> 21.4.9-2mdk
- fix path problem

* Sun Aug 25 2002 Warly <warly@mandrakesoft.com> 21.4.9-1mdk
- new version, new sumo

* Sun Jun 16 2002 Warly <warly@mandrakesoft.com> 21.4.8-3mdk
- removing conflicting info files	

* Thu Jun  6 2002 Warly <warly@mandrakesoft.com> 21.4.8-2mdk
- move el to /usr/share
- fix hardcoded lib path errors

* Fri May 24 2002 Warly <warly@mandrakesoft.com> 21.4.8-1mdk
- new version
- new sumo 2002 05 22

* Sun Mar  3 2002 Warly <warly@mandrakesoft.com> 21.4.6-6mdk
- readd mule

* Fri Feb  1 2002 Warly <warly@mandrakesoft.com> 21.4.6-4mdk
- new sumo

* Sun Jan 27 2002 Stefan van der Eijk <stefan@eijk.nu> 21.4.6-3mdk
- BuildRequires

* Thu Jan 10 2002 Stew Benedict <sbenedict@mandrakesoft.com> 21.4.6-2mdk
- remove combreloc and -b i486-linuxaout from configure.in 
- for other arches 

* Wed Dec 19 2001 Warly <warly@mandrakesoft.com> 21.4.6-1mdk
- new xemacs and sumo packages versions

* Wed Oct 24 2001 Warly <warly@mandrakesoft.com> 21.4.5-1mdk
- new xemacs version

* Thu Oct 18 2001 Warly <warly@mandrakesoft.com> 21.4.4-8mdk
- add site-start.el back in xemacs

* Wed Oct 17 2001 Warly <warly@mandrakesoft.com> 21.4.4-7mdk
- rpmlint cleaning

* Mon Oct 15 2001 Warly <warly@mandrakesoft.com> 21.4.4-6mdk
- add with-file-coding for MSDOS files

* Tue Oct  8 2001 Warly <warly@mandrakesoft.com> 21.4.4-5mdk
- slight change in compil options
- add euro
- new sumo

* Thu Sep 13 2001 Warly <warly@mandrakesoft.com> 21.4.4-4mdk
- complile non compiled file in sumo package

* Thu Sep  6 2001 Warly <warly@mandrakesoft.com> 21.4.4-3mdk
- add with-athena=3d

* Wed Aug 29 2001 David BAUDENS <baudens@mandrakesoft.com> 21.4.4-2mdk
- Add icons for menu

* Tue Jul 31 2001 Warly <warly@mandrakesoft.com> 21.4.4-1mdk
- new version

* Wed Jul 18 2001 Warly <warly@mandrakesoft.com> 21.4.3-5mdk
- change manpath

* Tue Jul  3 2001 Warly <warly@mandrakesoft.com> 21.4.3-4mdk
- rebuild with new db
- add libpng-devel xpm-devel buildrequires

* Fri Jun  1 2001  <warly@mandrakesoft.com> 21.4.3-3mdk
- add /usr/share/emacs/site-lisp in load-path
- add patch to set compile time option for ALT=META

* Wed May 30 2001  <warly@mandrakesoft.com> 21.4.3-2mdk
- remove lesstif requires

* Tue May 29 2001  <warly@mandrakesoft.com> 21.4.3-1mdk
- new version
- add /usr/share/xemacs/site-lisp to site-start

* Fri May 11 2001  <warly@mandrakesoft.com> 21.4.2-1mdk
- new version

* Fri May  4 2001 Warly <warly@mandrakesoft.com> 21.4.0-4mdk
- fix mailcrypt to work with new gpg (Frederic Lepied)

* Mon Apr 30 2001 Warly <warly@mandrakesoft.com> 21.4.0-2mdk
- --without-postgresql

* Wed Apr 18 2001 Warly <warly@mandrakesoft.com> 21.4.0-1mdk
- new stable version

* Mon Mar 12 2001 Warly <warly@mandrakesoft.com> 21.1.14-2mdk
- new sumo
- removed REMOVE_MOD_META_L=yes in sysconfig

* Sun Jan 28 2001 warly <warly@mandrakesoft.com> 21.1.14-1mdk
- new version

* Sun Jan 21 2001 Warly <warly@mandrakesoft.com> 21.1.13-1mdk
- new version
- remove infobz2 patch

* Tue Dec 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.12-10mdk
- In %post try to activate as default the REMOVE_MOD_META_L.

* Mon Dec 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.12-9mdk
- Remove the metamod patch.

* Fri Dec 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 21.1.12-8mdk
- Patch eicq to compile on alpha

* Thu Dec 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 21.1.12-7mdk
- Remove dependency on libstdc++. Don't compile eicq with g++

* Tue Dec 12 2000 Warly <warly@mandrakesoft.com> 21.1.12-6mdk
- patch startup to accept - and -- options

* Fri Nov 24 2000 Warly <warly@mandrakesoft.com> 21.1.12-5mdk
- new sumo

* Wed Nov 22 2000 Warly <warly@mandrakesoft.com> 21.1.12-4mdk
- bzip2 mule info files

* Wed Nov  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.12-3mdk
- Don't depend of ldap libs.

* Fri Sep  8 2000 Warly <warly@mandrakesoft.com> 21.1.12-2mdk
- remove X copy paste from site-start (already in xemacs it
  seems)

* Tue Aug 29 2000 Warly <warly@mandrakesoft.com> 21.1.12-1mdk
- new release

* Wed Jul 19 2000 Warly <warly@mandrakesoft.com> 21.1.11-1mdk
- new version
- BM

* Thu May 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.9-8mdk
- On alpha BuildConflicts: with compat-Tru64 since we will get very
  wrong stuff.

* Mon May 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.9-7mdk
- Fix security bugs with comint.el mode when typing password (Credits go to Caldera).

* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 21.1.9-6mdk
- remove nasty Chmouel's % stuff

* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 21.1.9-5mdk
- remove full path of icon in menu entry

* Wed Apr 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.9-4mdk
- Correct typo in site-start.el.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.9-3mdk
- Remove emacs conflicts with xemacs-extras and add a workaround.
- Corrected menu entry for icons.

* Mon Mar 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.9-2mdk
- Fix menu.
- Move menu icon to /usr/sh-Rare/icons/mini/.

* Fri Mar 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.9-1mdk
- Add site-spec-xemacs.el.
- Add mini-gnu.xpm for menu.
- Add menu-entry.
- Move info to /usr/info/ and %post/%pre the installation.
- Autoload rpm-spec-mode and associate it.
- Fix meta like LordFredl want.
- By default decompress bzip2 info files.
- Add kanji display fix (debian).
- Make safe mmencode (debian).
- Add ootags in %files.
- Fix groups.
- Various change in rpm-spec-mode (flepied/pixel/me).
- Upgrade descriptions.
- 21.1.9.
- Last sumo packages.
- Remove xemacs-X11 package.

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.8-6mdk
- last Sumo package.
- BuildRequires faces-devel.

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 21.1.8-5mdk
- Fix build as non-root.

* Thu Nov 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Strip binary.
- rBzip2 infopages.
- last sumo package.

* Tue Nov  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 21.1.8.
- Upgrade of sumo package.
- Add rpm-spec-mode.
- Remove xemacs-noX.
- Remove xemacs-static.

* Tue Sep 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last updated sumo package.
- Readd Next.Icons
- 21.1.7

* Tue Sep 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 21.1.6

* Mon Jun 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
